---
layout: markdown_page
title: "Engineering Career Matrix"
---

## On this page
{:.no_toc}

- TOC
{:toc}


## Engineering Career Matrix

These are the expected behaviours of Engineers at GitLab.

**Most engineers at GitLab are Intermediate or Senior, so the priority is to address these levels first.**

Moving between levels, you should see that as engineers advance in their careers,
their duties should encompass a higher degree of complexity, the scope of their influence
should expand, and their contributions should become more impactful.

These behaviors should not be considered as a checklist for promotion. Excellent Engineers
may struggle with one or two aspects of their job and their strengths in certain areas should
make up for deficits in others. However, it is important to show a significant number of
strengths to be considered for promotion.

Each of these behaviors should be achievable inside of normal working hours. If you feel that
you need to work additional hours to be successful in your role you should talk to your manager.

Junior engineers are still included on this matrix even though we are not actively hiring at this level.
Further discussion about junior engineers can be found on the [career development
page](/handbook/engineering/career-development/#junior-engineers).

## Expectations of Each Level

<%= partial("career_matrix_list") %>

## Full Matrix in Table Format

<%= partial("career_matrix_table") %>
